Kam instalovat?

Diskuze o problémech a zkušenostech s programy a různými utilitami, dále zde můžete probírat balíčkovací systém apod.
Odpovědět
Zpráva
Autor
fikejz
Příspěvky: 7
Registrován: 22 bře 2015, 19:46

Kam instalovat?

#1 Příspěvek od fikejz » 10 říj 2017, 11:38

Je v Mintu (Linuxu obecně) nějaké místo kam by se měly instalovat programy, ovladače a podobné jako je ve Windowsech program files ? Potřebuji v práci zprovoznit tiskárnu Canon i-SENSYS MF4010. Našel jsem na webu (https://www.canon.cz/support/consumer_p ... 20(64-bit) ovladače přímo od výrobce v archivu tar.gz, je v něm i soubor "install.sh". Předpokládám, že po rozbalení do SPRÁVNÉ složky a následném poklepání na install (samozřejmě pod rotem) dojde k instalaci. Nebo je potřeba provést kompilaci dle návodu ve wiki? Nerad bych něco pokazil.

menom
Velkovezír Mintu
Příspěvky: 1082
Registrován: 12 pro 2012, 15:10

Re: Kam instalovat?

#2 Příspěvek od menom » 10 říj 2017, 16:08

.

Tebe moze byt jedno kam sa instaluju programy, instalacny skript to nainstaluje presne kam ma.
Ak chces vediet viac kukni sem:
https://www.linux-mint-czech.cz/2012/12 ... inuxmintu/

Tu je navod na instalaciu,
a podla toho co je tam napisane, v archive je balik debianu s koncovkou .deb

Staci sa v rozbalenom archive k nemu preklikat (v tvojom pripade pre 64-bit)
Pravym tlacitkom klik na balik a zvolit moznost Otvorit (spustit) v programe Instalator balikov GDebi a dat instalovat ...

Druha moznost presne dodrzat navod , zadat prikazy do terminalu ...

https://tutorialforlinux.com/2016/10/15 ... t-install/

.

fikejz
Příspěvky: 7
Registrován: 22 bře 2015, 19:46

Re: Kam instalovat?

#3 Příspěvek od fikejz » 11 říj 2017, 09:20

Dík za odkazy. Na odkazu s tutorialem je napsáno že stažené balíčky se mají rozbalit do archivu (složky) "/tmp" , to je oč mi šlo. Co mi může být jedno nebo dva si a to mi promiňte, dovolím posoudit sám. Balíček s .deb jsem dle tutorialu nainstaloval (sudo gdebi ./*.deb - mám LM Mate 18.2 kde je gdebi již v základu) . Nicméně po "fyzickém" připojení tiskárny vyskočí systémová hláška: "Pro tiskárnu Canon MF4010 Series chybí ovladač" odsouhlasím "hledat" a pouze při volbě "vyhledat z databáze" je nabídnut "Generic text-only printer [en] (aktuální)". Systém mám 32bit(odkaz vedl na 64bit, instaloval jsem 32bit) a na stránce výrobce se píše: "Ovladač CQue 3.0.5 je zkompilován z nejnovějších dynamicky propojených knihoven (32bitová i 64bitová verze) včetně knihovny X11/Motif. To může znamenat, že některé knihovny bude třeba stáhnout." takže jdu pátrat co dál. Pokud někdo napoví budu rád.
Ještě jednou děkuji.
Naposledy upravil(a) fikejz dne 11 říj 2017, 17:24, celkem upraveno 1 x.

fikejz
Příspěvky: 7
Registrován: 22 bře 2015, 19:46

Re: Kam instalovat?

#4 Příspěvek od fikejz » 11 říj 2017, 15:26

Tak jsem postoupil kousek dál našel jsem na: https://www.canon.cz/support/consumer_p ... &language= jiný ovladač (UFR II / UFRII LT pro systém Linux, verze 3.40) . Po jeho nainstalování dle výše popsaného postupu je tiskárna funkční při "přímém" připojení na Mint. Přes síť zatím ne. Je sice v síti vidět na druhém PC (WinXP), když ji chci přidat nenabídne se jako při přímém připojení ale "vyhledat ovladač". Navíc připojení na ty XP je "zajímavé" samo o sobě, připojím se na každou složku, kterou vidím po připojení XP: "C"; "Dokumenty"; Sdílené Dokumenty"; "print" ; ovšem jen na jednu z nich při jedné relaci potom je nutno restartovat (v Mintu), k té které konkrétní složce se lze připojovat opakovaně.

Odpovědět